Subject: Re: B20: chmod @#?!*%
From: [email-masked] (JJ Streicher-Bremer)

13 Nov 1998 11:02:55 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]
Cc: John Mullee <[email-masked]>, [email-masked]

I tried this and all the responses seem in line.  Here is what I got:

[jj@HERMES jj]$ cd /tmp
[jj@HERMES /tmp]$ id -a
uid=1189(jj) gid=512(Domain Admins) groups=512(Domain Admins)
This is straight from the /etc/passwd file

[jj@HERMES /tmp]$ touch /tmp/myfile
[jj@HERMES /tmp]$ ls -ln /tmp/myfile
-rw-r--r--   1 544      512             0 Nov 12 08:05 /tmp/myfile
The reason the owner of the file is 544 not 1189 is because I am a
member of the HERMES\Administrators group.  When I create a file that
file is owned by HERMES\Administrators _not_ me.  (HERMES\Administrators
denotes the group Administrators on the server HERMES)

[jj@HERMES /tmp]$ mkpasswd -d |grep jj:
jj::1189:512:JJ Streicher-Bremer::/bin/sh
I am using my domain account for authentication.  One very nice thing
about Sergey's code is that if there is no local user to authenticate to
the system looks to the domain (assuming the system is a member of a
domain) for authentication.

[jj@HERMES /tmp]$ ntls -l
-rwx---r-x    1 Administ Domain A        0 Nov 12 08:05 myfile
This is the ls.exe app that comes with the NT Resourse Kit renamed.  You
can see that this app maps the owner to Administrat(ors) correctly.

[jj@HERMES /tmp]$ ntls -l /tmp/myfile
ls: /tmp/myfile: No such file or directory
This is the problem with the ls.exe from the NT Resource Kit.  It
doesn't use the CYGWIN path nomenclature :-(

JJ

Earnie Boyd wrote:
> 
> I'm not attempting to solve any problems, just adding to it:
> 
> the commands `id -a', `touch /tmp/myfile; ls -ln /tmp/myfile',
> `mkpasswd -l' all return something different for userid/groupid !!!
> 
> ---JJ Streicher-Bremer <[email-masked]> wrote:
> >
> > I believe 544 is the local administrators group.  In NT any file
> created
> > by someone in the local administrators group is owned by the
> > administrators group.
> >
> > >   14 -r-xr-xr-x   1 544      everyone    26800 Oct 14  1996
> NTDETECT.COM*
> > >    0 drwxr-xr-x   3 administ Domain U        0 Nov  3 00:35 cygnus/
> > >   --snip--
> > >  (what's '544' ? not an NT group-id or user-id))
> 
> ==
> -                  \\||//
> -------------o0O0--Earnie--0O0o--------------
> --          [email-masked]          --
> -- http://www.freeyellow.com/members5/gw32 --
> ----------------ooo0O--O0ooo-----------------
> 
> PS: Newbie's, you should visit my page.
> _________________________________________________________
> DO YOU YAHOO!?
> Get your free @yahoo.com address at http://mail.yahoo.com
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".